# <img src="assets/launcher.png" height="56" width="56" /> #FFF Info

Get all information about your climate strike!

## Getting Started

We try to offer an application, with which you get everything you need about #FridaysForFuture within one place.

Check out the web version on https://fridays.cf/

The app isn't ready yet. Feel free to contribute.

## Download

Download pre-build app for:
 * [Android](https://gitlab.com/JasMich.de/fridays-for-future_app/-/jobs/artifacts/master/download?job=build%3Aapk)
 * [Linux Desktop](https://gitlab.com/JasMich.de/fridays-for-future_app/-/jobs/artifacts/master/download?job=build%3Alinux)
 * [Web (JavaScript)](https://gitlab.com/JasMich.de/fridays-for-future_app/-/jobs/artifacts/master/download?job=build%3Aweb)


## Build

Install flutter first. See [flutter.dev](https://flutter.dev/docs/get-started/install) for more details.
```
flutter config --enable-web
# Run Flutter docter to check whether the installation was successfull
flutter doctor
```

Connect any Android or iOS device (except if building for the web).

```
git clone https://gitlab.com/JasMich.de/fridays-for-future_app.git
cd testapp-flutter
flutter pub get
flutter run
# Or run as a web page
flutter run -d web
# Or for linux
flutter run -d linux
```

## Release

Build stable builds the following way:

```
flutter pub get

flutter build apk
flutter build appbundle

flutter build linux
flutter build windows # Is it working ?
flutter build macos # Is it working ?

flutter build ios

flutter build web
```

Releases can be found in `build/`.

## License

TestApp is licensed under the `EUPL-1.2`. See [LICENSE](LICENSE) for more information.
